TearSnow Fan


小米MIUI12(安卓11)安装谷歌套件(GMS/Google Play)

目前很多小米手机的使用者发现基于Android/安卓版本11的MIUI12系统安装Google服务框架(版本11)时,虽然手机中并没安装任何版本的谷歌服务框架,安装仍会显示“安装失败”,失败原因为:与已安装应用内容提供者冲突,如下图:

首先强调几个问题,小米的部分机型(说了部分就肯定不是全部)自带“谷歌基础服务”,在设置-账号与同步里面可以直接打开,这部分机型的用户自然就不会存在上述问题了,按照下图打开选项即可。但作者的手机小米Redmi/红米K30 5G就没有内置谷歌基础服务,需要自行手动安装。

自带“谷歌基础服务”的小米手机

其次,MIUI12有基于安卓10的早期版本,但目前最新版本的MIUI12是基于安卓11的,本文讨论的是“基于Android11的MIUI12”的问题,那些基于安卓10的MIUI用户自然也不会遇到此问题。

本文提到的问题是使用无内置“谷歌基础服务”的小米手机,基于安卓11的MIUI12系统,安装谷歌套件中的GSF (Google Services Framework) 时,根据GSF版本应与安卓系统版本一致的原则,选择安装GSF版本11时,出现安装失败,提示“与已安装应用内容提供者冲突”。

推测该问题应该不是小米有意为之(吧),而大概率是基于Android11的MIUI12的一个bug,没有处理好这个问题导致GSF版本11无法安装。如果不是故意设置的限制,应该会在后续MIUI更新中解决。

目前临时解决方案:实测版本10的google应用是可以在我的MIUI12.1.4(基于安卓11)上安装和运行的。但注意各个Google套件都要使用基于版本10的。我目前安装了下列版本:

  • GSF (Google Services Framework) 版本10(或者10-647567也可以);
  • GMS(GooglePlayServices)版本20.17.14(120400-349456378);
  • GoogleContactsSync版本10-5771379(不需要Google联系人的不用安装);
  • GooglePlayStore商店貌似可以安装最新版不影响。

上述版本的软件可以在apkpure、apkmirror等网站下载,也可以直接搜索软件名称和版本号。

使用各种谷歌安装器的,请在安装前注意一下安装器自动匹配下载的软件版本是否是基于安卓10的。我于2021年1月15日测试了几个:

  • Go谷歌安装器(4.8.3)会在基于安卓11的MIUI12上自动下载GSF版本11,无法安装(而Go谷歌安装器4.8.4无法在MIUI12.1.4上运行,原因未知);
  • GG服务框架安装器(2.3.11)在基于安卓11的MIUI12上下载GSF版本10,但是下载的GMS版本不匹配,导致无法登陆Google账号(另外GG服务框架安装器这个软件广告太多强烈不推荐);

所以还是手动下载我上面列举的各个软件相应的版本,最为靠谱。

附小米社区的一个针对本问题的讨论帖地址: https://www.xiaomi.cn/post/23572003

本文固定链接: https://blog.xieyc.com/miui-12-google-play-gms-installation/ | 小谢的小站

该日志由 xieyc 于2021年01月16日发表在 折腾 分类下, 你可以发表评论,并在保留原文地址及作者的情况下引用到你的网站或博客。
原创文章转载请注明: 小米MIUI12(安卓11)安装谷歌套件(GMS/Google Play) | 小谢的小站
关键字: ,

小米MIUI12(安卓11)安装谷歌套件(GMS/Google Play):等您坐沙发呢!

发表评论


快捷键:Ctrl+Enter
//added by myself XIEYC